provider-models
List Models
Discover models exposed by the tenant credential and their effective deny policy.
GET
/
api
/
provider-models
/
{provider}
List Models
curl --request GET \
--url https://api.aixy-gateway.com/api/provider-models/{provider} \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/provider-models/{provider}"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/provider-models/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"provider": "<string>",
"model_id": "<string>",
"created": 123,
"owned_by": "<string>",
"playground_compatible": true,
"available": true,
"blocked": true,
"blocked_scope": "<string>",
"pricing": {
"source": "provider",
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"reasoning": 123,
"tiered": true,
"currency": "USD",
"unit": "million_tokens"
},
"metadata": {
"name": "<string>",
"description": "<string>",
"family": "<string>",
"context_window": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"output_modalities": [
"<string>"
],
"reasoning": true,
"tool_call": true,
"structured_output": true,
"attachment": true,
"open_weights": true,
"knowledge_cutoff": "<string>",
"release_date": "<string>",
"last_updated": "<string>",
"status": "<string>",
"pricing": {
"source": "provider",
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"reasoning": 123,
"tiered": true,
"currency": "USD",
"unit": "million_tokens"
},
"source": "models.dev"
},
"object": "provider.model",
"compatibility_status": "verified",
"name": "<string>",
"inference_regions": [],
"base_model_id": "<string>"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Path Parameters
⌘I
List Models
curl --request GET \
--url https://api.aixy-gateway.com/api/provider-models/{provider} \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/provider-models/{provider}"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/provider-models/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"provider": "<string>",
"model_id": "<string>",
"created": 123,
"owned_by": "<string>",
"playground_compatible": true,
"available": true,
"blocked": true,
"blocked_scope": "<string>",
"pricing": {
"source": "provider",
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"reasoning": 123,
"tiered": true,
"currency": "USD",
"unit": "million_tokens"
},
"metadata": {
"name": "<string>",
"description": "<string>",
"family": "<string>",
"context_window": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"output_modalities": [
"<string>"
],
"reasoning": true,
"tool_call": true,
"structured_output": true,
"attachment": true,
"open_weights": true,
"knowledge_cutoff": "<string>",
"release_date": "<string>",
"last_updated": "<string>",
"status": "<string>",
"pricing": {
"source": "provider",
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"reasoning": 123,
"tiered": true,
"currency": "USD",
"unit": "million_tokens"
},
"source": "models.dev"
},
"object": "provider.model",
"compatibility_status": "verified",
"name": "<string>",
"inference_regions": [],
"base_model_id": "<string>"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}